Subject: Re: -mno-cygwin and "undefined reference to `_impure_ptr'"?
From: Lester Ingber <[email-masked]>
To: Jim Kleckner <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Apr 2003 13:28:45 -0400

I tried a link to a DEPENDS I found:
3:20:17 @lester:/usr/local/bin% ln -s /cygdrive/c/Program\ Files/Microsoft\ Visual\ Studio/Common/Tools/DEPENDS.EXE depends

Yes, a full window of info pops up that includes the info obtained
under cygcheck.  E.g.,
13:24:08 @lester:~/ASA_DLL% cygcheck  asadll.dll 
Found: .\asadll.dll
asadll.dll
  C:\WINDOWS\System32\msvcrt.dll
    C:\WINDOWS\System32\KERNEL32.dll
      C:\WINDOWS\System32\ntdll.dll

Use -h to see help about each section
13:24:16 @lester:~/ASA_DLL% depends asadll.dll 

and the window pops up.

Lester

: * From: Igor Pechtchanski <pechtcha at cs dot nyu dot edu>
: * To: Jim Kleckner <jek-cygwin at kleckner dot net>
: * Cc: cygwin at cygwin dot com
: * Date: Fri, 11 Apr 2003 13:06:55 -0400 (EDT)
: * Subject: Re: -mno-cygwin and "undefined reference to `_impure_ptr'"?
: * Reply-to: cygwin at cygwin dot com
: 
: No you won't.  Not under Cygwin, anyway.  "depends" is probably part of
: MSVC or something.  "cygcheck" performs the same function under Cygwin.
: 	Igor
: P.S. That's not to say that "depends" won't work under Cygwin, just that
: it doesn't come with Cygwin.
: 
: On Fri, 11 Apr 2003, Jim Kleckner wrote:
: 
: > By the way, if you type "depends testdll.dll" you will see all of the
: > dll dependencies.  A quick way to see if it depends on cygwin or not
: > when you are done.
: >
: > Jim
: >
: > Lester Ingber wrote:
: >
: > > Ronald:
: > >
: > > Thanks for the direction to use cygcheck.
: > >
: > > I had gone back to using '-lm' with mno-cygwin, and this seems to be the
: > > source of pulling in cygwin1.dll, as you first suggested.

-- 
 Prof. Lester Ingber  [email-masked]  [email-masked]
 www.ingber.com                     www.alumni.caltech.edu/~ingber

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/